ruby-oauth_0.5.3-1_all.deb


Advertisement

Description

ruby-oauth - Ruby library for OAuth core

Property Value
Distribution Debian Sid
Repository Debian Main amd64
Package name ruby-oauth
Package version 0.5.3
Package release 1
Package architecture all
Package type deb
Installed size 155 B
Download size 30.68 KB
Official Mirror ftp.br.debian.org
Description -

Alternatives

Package Version Architecture Repository
ruby-oauth_0.5.3-1_all.deb 0.5.3 all Debian Main
ruby-oauth - - -

Requires

Name Value
ruby -
ruby-interpreter -

Download

Type URL
Binary Package ruby-oauth_0.5.3-1_all.deb
Source Package ruby-oauth

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install ruby-oauth deb package:
    # sudo apt-get install ruby-oauth

Files

Path
/usr/bin/oauth
/usr/lib/ruby/vendor_ruby/oauth.rb
/usr/lib/ruby/vendor_ruby/oauth/cli.rb
/usr/lib/ruby/vendor_ruby/oauth/client.rb
/usr/lib/ruby/vendor_ruby/oauth/consumer.rb
/usr/lib/ruby/vendor_ruby/oauth/core_ext.rb
/usr/lib/ruby/vendor_ruby/oauth/errors.rb
/usr/lib/ruby/vendor_ruby/oauth/helper.rb
/usr/lib/ruby/vendor_ruby/oauth/oauth.rb
/usr/lib/ruby/vendor_ruby/oauth/oauth_test_helper.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy.rb
/usr/lib/ruby/vendor_ruby/oauth/server.rb
/usr/lib/ruby/vendor_ruby/oauth/signature.rb
/usr/lib/ruby/vendor_ruby/oauth/token.rb
/usr/lib/ruby/vendor_ruby/oauth/version.rb
/usr/lib/ruby/vendor_ruby/oauth/cli/authorize_command.rb
/usr/lib/ruby/vendor_ruby/oauth/cli/base_command.rb
/usr/lib/ruby/vendor_ruby/oauth/cli/help_command.rb
/usr/lib/ruby/vendor_ruby/oauth/cli/query_command.rb
/usr/lib/ruby/vendor_ruby/oauth/cli/sign_command.rb
/usr/lib/ruby/vendor_ruby/oauth/cli/version_command.rb
/usr/lib/ruby/vendor_ruby/oauth/client/action_controller_request.rb
/usr/lib/ruby/vendor_ruby/oauth/client/em_http.rb
/usr/lib/ruby/vendor_ruby/oauth/client/helper.rb
/usr/lib/ruby/vendor_ruby/oauth/client/net_http.rb
/usr/lib/ruby/vendor_ruby/oauth/errors/error.rb
/usr/lib/ruby/vendor_ruby/oauth/errors/problem.rb
/usr/lib/ruby/vendor_ruby/oauth/errors/unauthorized.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/action_controller_request.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/base.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/curb_request.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/em_http_request.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/jabber_request.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/mock_request.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/net_http.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/rack_request.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/rest_client_request.rb
/usr/lib/ruby/vendor_ruby/oauth/request_proxy/typhoeus_request.rb
/usr/lib/ruby/vendor_ruby/oauth/signature/base.rb
/usr/lib/ruby/vendor_ruby/oauth/signature/plaintext.rb
/usr/lib/ruby/vendor_ruby/oauth/signature/hmac/sha1.rb
/usr/lib/ruby/vendor_ruby/oauth/signature/rsa/sha1.rb
/usr/lib/ruby/vendor_ruby/oauth/tokens/access_token.rb
/usr/lib/ruby/vendor_ruby/oauth/tokens/consumer_token.rb
/usr/lib/ruby/vendor_ruby/oauth/tokens/request_token.rb
/usr/lib/ruby/vendor_ruby/oauth/tokens/server_token.rb
/usr/lib/ruby/vendor_ruby/oauth/tokens/token.rb
/usr/share/doc/ruby-oauth/README.rdoc
/usr/share/doc/ruby-oauth/changelog.Debian.gz
/usr/share/doc/ruby-oauth/changelog.gz
/usr/share/doc/ruby-oauth/copyright
/usr/share/doc/ruby-oauth/examples/yql.rb
/usr/share/man/man1/oauth.1.gz
/usr/share/rubygems-integration/all/specifications/oauth-0.5.3.gemspec

Changelog

2017-07-11 - Pirate Praveen <praveen@debian.org>
ruby-oauth (0.5.3-1) unstable; urgency=medium
* Team upload.
* New upstream release
* Bump standards version to 4.0.0 (no changes)
* Remove unused lintian overrides
2015-07-09 - Cédric Boutillier <boutil@debian.org>
ruby-oauth (0.4.7-3) unstable; urgency=medium
* Team upload
* Fix homepage in the debian/control file
* Modernize debian/control with dh-make-ruby -w
- add Testsuite: field
- bump Standards-Version to 3.9.6 (no changes needed)
* Set back debhelper compatibility to 7
* Point to the license for GPL-2+ to the versioned GPL-2 license in
/usr/share/common-licenses.
2014-05-05 - Pirate Praveen <praveen@debian.org>
ruby-oauth (0.4.7-2) unstable; urgency=low
* Team upload
* Rebuild with gem2deb >= 0.7.5 (install gemspec for all ruby versions)
* Bump standards version to 3.9.5 (no changes)
* Drop transitional packages (ruby-oauth was released with wheezy)
2013-08-15 - Taku YASUI <tach@debian.org>
ruby-oauth (0.4.7-1) unstable; urgency=low
* New upstream release.
* Bump Standards-Version to 3.9.4.
* Add brief manual for oauth(1).
2012-06-30 - Cédric Boutillier <cedric.boutillier@gmail.com>
ruby-oauth (0.4.6-2) unstable; urgency=low
* Team upload.
* Bump build dependency on gem2deb to >= 0.3.0~.
* Build against newer gem2deb
* Override lintian warning about duplicate description of transitional
packages
* Update debian/copyright to DEP-5 copyright-format/1.0
2012-05-06 - Taku YASUI <tach@debian.org>
ruby-oauth (0.4.6-1) unstable; urgency=low
* New upstream release.
* Bump debhelper compat version to 8.
2012-04-11 - Taku YASUI <tach@debian.org>
ruby-oauth (0.4.5-2) unstable; urgency=low
* Ruby package transition
- Change package name from liboauth-ruby to ruby-oauth
* Move repository to git.debian.org
- git://git.debian.org/pkg-ruby-extras/ruby-oauth.git
2011-09-11 - Taku YASUI <tach@debian.org>
liboauth-ruby (0.4.5-1) unstable; urgency=low
* New upstream release
* Bump Standards-version to 3.9.2
2010-11-07 - Taku YASUI <tach@debian.org>
liboauth-ruby (0.4.4-2) unstable; urgency=low
* Remove digest/hmac.rb from liboauth-ruby1.9.1
(closes: #602596)
2010-11-06 - Taku YASUI <tach@debian.org>
liboauth-ruby (0.4.4-1) unstable; urgency=low
* New upstream release

See Also

Package Description
ruby-obexftp_0.24-5+b5_amd64.deb ruby binding to the object exchange file transfer library
ruby-octokit_4.12.0-1_all.deb Ruby toolkit for working with the GitHub API
ruby-odbc_0.99998-1+b1_amd64.deb ODBC Binding for Ruby
ruby-oembed_0.10.1-2_all.deb oEmbed for Ruby
ruby-ogginfo_0.7.2-2_all.deb Ruby library for accessing low-level information on ogg files
ruby-oily-png_1.2.1~dfsg-1+b2_amd64.deb native mixin to speed up ChunkyPNG
ruby-oj_3.6.6-1_amd64.deb fast JSON parser and serializer for Ruby
ruby-ole_1.2.11.8-1_all.deb Ruby library for read/write access for OLE compound documents
ruby-omniauth-auth0_2.0.0-1_all.deb Omniauth OAuth2 strategy for the Auth0 platform
ruby-omniauth-authentiq_0.3.3-1_all.deb Authentiq strategy for OmniAuth
ruby-omniauth-azure-oauth2_0.0.9-2_all.deb Windows Azure Active Directory OAuth2 strategy for OmniAuth
ruby-omniauth-bitbucket_0.0.2-1_all.deb Oauth2 bitbucket strategy for OmniAuth
ruby-omniauth-cas3_1.1.4-2_all.deb CAS 3.0 Strategy for OmniAuth
ruby-omniauth-crowd_2.4.0-1_all.deb OmniAuth provider for Atlassian Crowd REST API
ruby-omniauth-facebook_4.0.0-2_all.deb Oauth2 facebook strategy for OmniAuth
Advertisement
Advertisement